textures/rurapenthe/rurapenthe
{
    //Modified from original ID shader. Changed it to use custom skybox.
    qer_editorimage textures/skies/dimclouds.tga
    q3map_surfacelight 100
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 255 255 255 80 360 22
    skyParms env/arcn/arcn 256 -
    {
        map textures/rurapenthe/rurapenthecloud.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.01 0
        tcMod scale 3 2
    }
}

textures/rurapenthe/twater
{
    qer_editorimage textures/rurapenthe/twater_1.tga
    q3map_globaltexture
    qer_trans 0.5
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    deformVertexes normal 0.5 0.25
    {
        map textures/rurapenthe/twater_2.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod rotate 5
    }
    {
        map textures/rurapenthe/twater_1.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale -0.5 -0.5
        tcMod rotate 5
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/rurapenthe/belt
{
    qer_editorimage textures/rurapenthe/belt.tga
    surfaceparm nomarks
    {
        map textures/rurapenthe/belt.tga
        tcMod scroll 0 0.5
    }
}

textures/rurapenthe/beltside
{
    qer_editorimage textures/rurapenthe/beltside.tga
    q3map_surfacelight 100
    surfaceparm nomarks
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/rurapenthe/beltside.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/bb
{
    qer_editorimage textures/rurapenthe/bb.tga
    q3map_surfacelight 1
    surfaceparm nomarks
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/rurapenthe/bb.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
        tcMod rotate 360
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/corona
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    cull disable
    deformVertexes autoSprite
    {
        clampmap textures/rurapenthe/corona.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rurapenthe/rurapenthe_open
{
    {
        map textures/rurapenthe/rurapenthe_open.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/scavenger/m_subdoor3_on_glow.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rurapenthe/rurapenthe_closed
{
    {
        map textures/rurapenthe/rurapenthe_closed.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/scavenger/m_subdoor3_off_glow.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rurapenthe/rurapenthe_fan
{
    qer_editorimage textures/rurapenthe/rurapenthe_fan.tga
    q3map_surfacelight 1
    surfaceparm nomarks
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/rurapenthe/rurapenthe_fan.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
        tcMod rotate 180
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/rurapenthe_fangrate
{
    qer_editorimage textures/senndm3/senn_icyfangrate.tga
    surfaceparm nomarks
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/senndm3/senn_icyfangrate.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/gun_grate
{
    qer_editorimage textures/rurapenthe/gun_grate.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/rurapenthe/gun_grate.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/gun_grate2
{
    qer_editorimage textures/rurapenthe/gun_grate2.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/rurapenthe/gun_grate2.tga
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/image24
{
    qer_editorimage textures/rurapenthe/image24.tga
    surfaceparm nolightmap
    {
        map textures/rurapenthe/image24.tga
    }
}

textures/rurapenthe/bluecorona
{
    qer_editorimage textures/rurapenthe/bluecorona.tga
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    cull disable
    deformVertexes autoSprite
    {
        clampmap textures/rurapenthe/bluecorona.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rurapenthe/nateweb
{
    qer_editorimage textures/rurapenthe/nateweb.tga
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    nomipmaps
    {
        map textures/rurapenthe/nateweb.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
}

textures/rurapenthe/BB2
{
    qer_editorimage textures/rurapenthe/bb.tga
    q3map_surfacelight 1
    surfaceparm nomarks
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/rurapenthe/bb.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
        tcMod rotate -360
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/rlight
{
    qer_editorimage textures/rurapenthe/rlight.tga
    surfaceparm nolightmap
    {
        map textures/rurapenthe/rlight.tga
    }
}

textures/rurapenthe/rlight2
{
    qer_editorimage textures/rurapenthe/rlight2.tga
    surfaceparm nolightmap
    {
        map textures/rurapenthe/rlight2.tga
    }
}

textures/rurapenthe/corona2
{
    qer_editorimage textures/rurapenthe/corona.tga
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    cull disable
    {
        clampmap textures/rurapenthe/corona.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rurapenthe/catwalk1
{
    qer_editorimage textures/rurapenthe/catwalk1.tga
    surfaceparm metalsteps
    cull disable
    {
        map textures/rurapenthe/catwalk1.tga
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/catwalk2
{
    qer_editorimage textures/rurapenthe/catwalk2.tga
    surfaceparm metalsteps
    cull disable
    {
        map textures/rurapenthe/catwalk2.tga
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/kkk
{
    qer_editorimage textures/rurapenthe/kkk.tga
    surfaceparm metalsteps
    cull disable
    {
        map textures/rurapenthe/kkk.tga
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/catwalk_corner2
{
    qer_editorimage textures/rurapenthe/catwalk_corner2.tga
    surfaceparm metalsteps
    cull disable
    {
        map textures/rurapenthe/catwalk_corner2.tga
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/catwalk_corner1
{
    qer_editorimage textures/rurapenthe/catwalk_corner1.tga
    surfaceparm metalsteps
    cull disable
    {
        map textures/rurapenthe/catwalk_corner1.tga
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/image3
{
    qer_editorimage textures/rurapenthe/image3.tga
    surfaceparm metalsteps
    cull disable
    {
        map textures/rurapenthe/image3.tga
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rurapenthe/track_rail
{
    qer_editorimage textures/rurapenthe/track_rail.tga
    q3map_surfacelight 200
    surfaceparm nomarks
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/rurapenthe/track_rail.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

