//**********************************
//Chronic Fire for barrels  -meat
//**********************************
textures/chronic_sfx/sfx_fire
{
    //q3map_surfacelight 7500
    qer_editorimage textures/chronic_sfx/sfx_fire01.tga
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    cull disable
    {
        animMap 10 textures/chronic_sfx/sfx_fire01.tga textures/chronic_sfx/sfx_fire02.tga textures/chronic_sfx/sfx_fire03.tga textures/chronic_sfx/sfx_fire04.tga textures/chronic_sfx/sfx_fire05.tga textures/chronic_sfx/sfx_fire06.tga textures/chronic_sfx/sfx_fire07.tga textures/chronic_sfx/sfx_fire08.tga 
        blendFunc GL_ONE GL_ONE
        rgbGen wave inversesawtooth 0 1 0 10
    }
    {
        animMap 10 textures/chronic_sfx/sfx_fire01.tga textures/chronic_sfx/sfx_fire02.tga textures/chronic_sfx/sfx_fire03.tga textures/chronic_sfx/sfx_fire04.tga textures/chronic_sfx/sfx_fire05.tga textures/chronic_sfx/sfx_fire06.tga textures/chronic_sfx/sfx_fire07.tga textures/chronic_sfx/sfx_fire08.tga 
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }
    {
        map textures/chronic_sfx/sfx_flameball.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.6 0.2 0 0.6
    }
}

//**********************************
//Chronic reflective glass two sided  -meat
//**********************************
textures/chronic_sfx/sfx_glass_2sided
{
    //* surfaceparm weaponclip
    qer_editorimage textures/meat_tags/tag_glass.tga
    qer_trans 0.5
    surfaceparm nolightmap
    surfaceparm playerclip
    surfaceparm trans
    cull disable
    {
        map textures/chronic_sfx/glass_reflection.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcGen environment
    }
}

//******************************************************
//Chronic Sky   -meat
//******************************************************
textures/chronic_sfx/chronic_nightsky
{
    qer_editorimage textures/chronic_sfx/nightsky_up.tga
    q3map_surfacelight 10
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 0.6 0.6 0.6 30 35 78
    skyParms env/nightsky 0 -
}

//***********************************
//Chronic Red fullbright texture   -meat
//***********************************
textures/chronic_sfx/neonred_blink
{
    q3map_lightimage textures/chronic_sfx/neon_red.tga
    qer_editorimage textures/chronic_sfx/neon_red.tga
    q3map_surfacelight 200
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/chronic_sfx/neon_red.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/chronic_sfx/neon_red.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen wave square 1 0.5 0 1
    }
}

//***********************************
//Chronic Lighted Windows -meat
//***********************************
textures/chronic_windows/window_buildingsmall_02
{
    qer_editorimage chronic_windows/window_buildingsmall_02.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingsmall_02.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingsmall_02_blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

//***********************************
//Chronic Lighted Windows  -meat
//***********************************
textures/chronic_windows/window_buildingbig_01
{
    qer_editorimage chronic_windows/window_buildingbig_01.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingbig_01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingbig_01_blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

//***********************************
//Chronic Lighted Windows  -meat
//***********************************
textures/chronic_windows/window_buildingsmall_03
{
    qer_editorimage chronic_windows/window_buildingsmall_03.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingsmall_03.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingsmall_03_blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

//***********************************
//Chronic Lighted Windows  -meat
//***********************************
textures/chronic_windows/window_buildingside_03
{
    qer_editorimage chronic_windows/window_buildingside_03.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingside_03.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingside_03_blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

//***********************************
//Chronic Lighted Windows  -meat
//***********************************
textures/chronic_windows/window_buildingside_06
{
    qer_editorimage chronic_windows/window_buildingside_06.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingside_06.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingside_06_blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

//***********************************
//Chronic Lighted Windows  -meat
//***********************************
textures/chronic_windows/window_buildingside_07
{
    qer_editorimage chronic_windows/window_buildingside_07.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingside_07.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/chronic_windows/window_buildingside_07_blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

